CGAL 6.1 - 2D Apollonius Graphs (Delaunay Graphs of Disks)

Loading...
Searching...
No Matches
List of all members
ApolloniusGraphHierarchyVertexBase_2 Concept Reference
Reference Manual » Concepts

## Definition

The vertex of an Apollonius graph included in an Apollonius graph hierarchy has to provide some pointers to the corresponding vertices in the graphs of the next and preceding levels. Therefore, the concept `ApolloniusGraphHierarchyVertexBase_2` refines the concept `ApolloniusGraphVertexBase_2`, by adding two vertex handles to the corresponding vertices for the next and previous level graphs.

Refines
  `ApolloniusGraphVertexBase_2`

Types

`ApolloniusGraphHierarchyVertexBase_2` does not introduce any types in addition to those of `ApolloniusGraphVertexBase_2`.

Has models
  `CGAL::Apollonius_graph_hierarchy_vertex_base_2<CGAL::Apollonius_graph_vertex_base_2<Gt,StoreHidden> >`

See also
  `ApolloniusGraphDataStructure_2`
  `CGAL::Apollonius_graph_hierarchy_2<Gt,Agds>`
  `CGAL::Triangulation_data_structure_2<Vb,Fb>`

## Creation
| ApolloniusGraphHierarchyVertexBase_2 ()
| Default constructor.
| ApolloniusGraphHierarchyVertexBase_2 (Site_2 s).
| Constructs a vertex associated with the site `s` and embedded at the center of `s`.
| ApolloniusGraphHierarchyVertexBase_2 (Site_2 s, Face_handle f).
| Constructs a vertex associated with the site `s`, embedded at the center of `s`, and pointing to face `f`.

## Operations
Vertex_handle | up ()
| Returns a handle to the corresponding vertex of the next level Apollonius graph.
Vertex_handle | down ()
| Returns a handle to the corresponding vertex of the previous level Apollonius graph.
void | set_up (Vertex_handle u)
| Sets the handle for the vertex of the next level Apollonius graph.
void | set_down (Vertex_handle d)
| Sets the handle for the vertex of the previous level Apollonius graph;.

## Member Function Documentation

## ◆ up()

Vertex_handle ApolloniusGraphHierarchyVertexBase_2::up | ( |  | ) |

Returns a handle to the corresponding vertex of the next level Apollonius graph.

If such a vertex does not exist `Vertex_handle(nullptr)` is returned.